# Collator::getAttribute

# collator_get_attribute

(PHP 5 >= 5.3.0, PHP 7, PHP 8, PECL intl >= 1.0.0)

Collator::getAttribute -- collator_get_attribute — Lit un attribut de collation

### Description

Style orienté objet

public Collator::getAttribute(int `$attribute`): int|false

Style procédural

collator_get_attribute(Collator `$object`, int `$attribute`): int|false

Lit un attribut de collation.

### Liste de paramètres

`object`

  Objet Collator.

`attribute`

  L'attribut à lire.

### Valeurs de retour

La valeur de l'attribut, ou `false` si une erreur survient.

### Exemples

Exemple #1 Exemple avec collator_get_attribute()

`<?php
$coll = collator_create( 'en_CA' );
$val = collator_get_attribute( $coll, Collator::NUMERIC_COLLATION );
if( $val === false )
{
// Gestion d'erreur
}
?>`

### Voir aussi

- Collator constants
- collator_set_attribute() - Configure l'attribut de collation
- collator_get_strength() - Récupère la dureté de classement utilisé